Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1983918 - F35FailsToInstall: rust-dua-cli+tui-devel, rust-dua-cli+tui-shared-devel
Summary: F35FailsToInstall: rust-dua-cli+tui-devel, rust-dua-cli+tui-shared-devel
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: rust-dua-cli
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rust SIG
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1989028 (view as bug list)
Depends On:
Blocks: F35FailsToInstall
TreeView+ depends on / blocked
 
Reported: 2021-07-20 07:39 UTC by Miro Hrončok
Modified: 2023-09-15 01:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-08-24 10:27:06 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Miro Hrončok 2021-07-20 07:39:25 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

Your package (rust-dua-cli) Fails To Install in Fedora 35:

can't install rust-dua-cli+tui-devel:
  - nothing provides (crate(tui) >= 0.14.0 with crate(tui) < 0.15.0~) needed by rust-dua-cli+tui-devel-2.11.1-1.fc35.noarch
  
can't install rust-dua-cli+tui-shared-devel:
  - nothing provides (crate(tui) >= 0.14.0 with crate(tui) < 0.15.0~) needed by rust-dua-cli+tui-shared-devel-2.11.1-1.fc35.noarch
  
If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.


If you don't react accordingly to the policy for FTBFS/FTI bugs (https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/), your package may be orphaned in 8+ weeks.

P.S. The data was generated solely from koji buildroot, so it might be newer than the latest compose or the content on mirrors.

P.P.S. If this bug has been reported in the middle of upgrading multiple dependent packages, please consider using side tags: https://docs.fedoraproject.org/en-US/fesco/Updates_Policy/#updating-inter-dependent-packages

Thanks!

Comment 1 Miro Hrončok 2021-07-27 09:03:02 UTC
Hello,

This is the first reminder (step 3 from https://docs.fedoraproject.org/en-US/fesco/Fails_to_build_from_source_Fails_to_install/#_package_removal_for_long_standing_ftbfs_and_fti_bugs).

If you know about this problem and are planning on fixing it, please acknowledge so by setting the bug status to ASSIGNED. If you don't have time to maintain this package, consider orphaning it, so maintainers of dependent packages realize the problem.

Comment 2 Fabio Valentini 2021-07-28 09:34:03 UTC
Will be fixed with the next dua-cli update.

Comment 3 Miro Hrončok 2021-08-02 10:09:30 UTC
*** Bug 1989028 has been marked as a duplicate of this bug. ***

Comment 4 Fabio Valentini 2021-08-07 10:38:39 UTC
Igor, I see you started submitting review requests for helping with the dua-cli update. Do you plan to finish those up? I also sent you a message with a few pending f34 branch requests and packages you haven't added to the @rust-sig group yet.

Comment 5 Ben Cotton 2021-08-10 13:13:58 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 35 development cycle.
Changing version to 35.

Comment 6 Miro Hrončok 2021-08-24 09:49:29 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 36.

Thanks for taking care of it!

Comment 7 Miro Hrončok 2021-08-24 10:27:06 UTC
Hello,

Please note that this comment was generated automatically. If you feel that this output has mistakes, please contact me via email (mhroncok).

All subpackages of a package against which this bug was filled are now installable or removed from Fedora 35.

Thanks for taking care of it!

Comment 8 Red Hat Bugzilla 2023-09-15 01:11:44 UTC
The needinfo request[s] on this closed bug have been removed as they have been unresolved for 500 days


Note You need to log in before you can comment on or make changes to this bug.